Bug 455018 - (CVE-2008-3144) CVE-2008-3144 python: Potential integer underflow and overflow in the PyOS_vsnprintf C API function
CVE-2008-3144 python: Potential integer underflow and overflow in the PyOS_vs...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
source=redhat,reported=20080703,publi...
: Security
Depends On: 486114 486329 486330 486351 486352 537915
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-11 10:12 EDT by Jan Lieskovsky
Modified: 2016-04-26 23:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-09 15:20:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2008-07-11 10:12:41 EDT
Description of problem:

Fix potential integer underflow and overflow conditions in the PyOS_vsnprintf
C API function.

Proposed upstream patch:

http://svn.python.org/view?rev=63883&view=rev
Comment 2 James Antill 2008-07-11 11:00:35 EDT
 Does this do anything if python knows you have a working snprintf()? -- Ahh it
does "str[size-1] = '\0';" even when size == 0? ... can that happen? Do we
really wan tto include all the other parts of the patch, given that we won't be
testing any of it -- and won't use it?
Comment 3 Jan Lieskovsky 2008-10-30 10:45:22 EDT
The Red Hat Security Response Team has rated this issue as having low security
impact, a future update may address this flaw.  More information regarding
issue severity can be found here:
http://www.redhat.com/security/updates/classification/
Comment 10 errata-xmlrpc 2009-07-27 05:23:15 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1176 https://rhn.redhat.com/errata/RHSA-2009-1176.html
Comment 11 errata-xmlrpc 2009-07-27 05:35:41 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2009:1177 https://rhn.redhat.com/errata/RHSA-2009-1177.html
Comment 12 errata-xmlrpc 2009-07-27 05:37:35 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3

Via RHSA-2009:1178 https://rhn.redhat.com/errata/RHSA-2009-1178.html
Comment 15 Vincent Danen 2012-02-09 15:20:06 EST
Description:

Multiple integer underflow and overflow flaws were found in the Python snprintf() wrapper implementation. An attacker could use these flaws to cause a denial of service (memory corruption).

Note You need to log in before you can comment on or make changes to this bug.